Package com.collabnet.ce.soap60.webservices.pluggable

# Class LinkPluggableComponentSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.pluggable.LinkPluggableComponentSoapRow

public class LinkPluggableComponentSoapRow extends Object
LinkPluggableComponentSoapList class represents a list of pluggable applications in a project.

Since:
  5.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPluggableComponentSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIntegratedAppId()`
  Returns 'integratedAppId'.
  `String`
  `getPrefix()`
  Returns 'prefix'.
  `String`
  `getProjectId()`
  Returns 'projectId'.
  `String`
  `getProjectPathString()`
  Returns 'projectPathString'.
  `String`
  `getProjIntegratedAppId()`
  Returns 'projIntegratedAppId'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setIntegratedAppId(String integratedAppId)`
  Sets 'integratedAppId'.
  `void`
  `setPrefix(String prefix)`
  Sets 'prefix'.
  `void`
  `setProjectId(String projectId)`
  Sets 'projectId'.
  `void`
  `setProjectPathString(String projectPathString)`
  Sets 'projectPathString'.
  `void`
  `setProjIntegratedAppId(String projIntegratedAppId)`
  Sets 'projIntegratedAppId'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LinkPluggableComponentSoapRow

    public LinkPluggableComponentSoapRow()

- ## Method Details

  - ### getProjIntegratedAppId

    public String getProjIntegratedAppId()
    Returns 'projIntegratedAppId'. The link id between the project and the pluggable application
    Returns:
      Value of 'projIntegratedAppId'.

  - ### setProjIntegratedAppId

    public void setProjIntegratedAppId(String projIntegratedAppId)
    Sets 'projIntegratedAppId'. The link id between the project and the pluggable application
    Parameters:
      `projIntegratedAppId` - Value of 'projIntegratedAppId'.

  - ### getIntegratedAppId

    public String getIntegratedAppId()
    Returns 'integratedAppId'. The pluggable application id
    Returns:
      Value of 'integratedAppId'.

  - ### setIntegratedAppId

    public void setIntegratedAppId(String integratedAppId)
    Sets 'integratedAppId'. The pluggable application id
    Parameters:
      `integratedAppId` - Value of 'integratedAppId'.

  - ### getProjectId

    public String getProjectId()
    Returns 'projectId'. Id of the project to which the pluggable application is associated
    Returns:
      Value of 'projectId'.

  - ### setProjectId

    public void setProjectId(String projectId)
    Sets 'projectId'. Id of the project to which the pluggable application is associated
    Parameters:
      `projectId` - Value of 'projectId'.

  - ### getProjectPathString

    public String getProjectPathString()
    Returns 'projectPathString'. The full project path, as a string
    Returns:
      Value of 'projectPathString'.

  - ### setProjectPathString

    public void setProjectPathString(String projectPathString)
    Sets 'projectPathString'. The full project path, as a string
    Parameters:
      `projectPathString` - Value of 'projectPathString'.

  - ### getPrefix

    public String getPrefix()
    Returns 'prefix'.
    Returns:
      Value of 'prefix'.

  - ### setPrefix

    public void setPrefix(String prefix)
    Sets 'prefix'.
    Parameters:
      `prefix` - Value of 'prefix'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)